> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/describeeipinternetchargetypes.md).

# DescribeEipInternetChargeTypes

## 1. 接口描述

本接口(DescribeEipInternetChargeTypes)用于查询指定地域下按指定线路类型可选的弹性公网 IP 网络计费模式列表，用于创建 EIP 前的参数确认。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称             | 必选 | 类型                                                                                | 描述                                                            |
| ---------------- | -- | --------------------------------------------------------------------------------- | ------------------------------------------------------------- |
| regionId         | 是  | String                                                                            | 查询的节点ID。                                                      |
| eipV4Type \[已废弃] | 否  | [EipNetworkType](/api-reference/cn/compute/zec/datastructure.md#eipnetworktype)   | <p>EIP IP线路类型。</p><p>已废弃，请使用<code>networkLineType</code>。</p> |
| networkLineType  | 否  | [NetworkLineType](/api-reference/cn/compute/zec/datastructure.md#networklinetype) | EIP IP线路类型。                                                   |

## 3. 响应结果

| 参数名称                | 类型                                                                                               | 描述                                                       |
| ------------------- | ------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId           | String                                                                                           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| internetChargeTypes | Array of [InternetChargeType](/api-reference/cn/compute/zec/datastructure.md#internetchargetype) | IP支持的网络计费方式。                                             |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询asia-east-1区域EIP支持的网络计费模式。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipInternetChargeTypes
<Common Request Params>

Request：
{
  "regionId": "asia-east-1",
  "networkLineType": "PremiumBGP"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "internetChargeTypes": [
      "ByBandwidth"
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                         | 说明         |
| ------- | --------------------------- | ---------- |
| 404     | INVALID\_REGION\_NOT\_FOUND | 指定的可用区不存在。 |
